%{?nodejs_find_provides_and_requires}

%global packagename moment-timezone
%global enable_tests 1

Name:		nodejs-moment-timezone
Version:	0.5.13
Release:	1%{?dist}
Summary:	Parse and display moments in any timezone

License:	MIT
URL:		https://github.com/moment/moment-timezone
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	tasks-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	https://raw.githubusercontent.com/moment/moment-timezone/%{version}/Gruntfile.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(grunt-contrib-clean)
BuildRequires:	npm(grunt-contrib-nodeunit)
BuildRequires:	npm(grunt-contrib-uglify)
BuildRequires:	npm(grunt-contrib-watch)
BuildRequires:	npm(grunt-cli)
BuildRequires:	npm(moment)
BuildRequires:	dos2unix

%if 0%{?enable_tests}
BuildRequires:	nodeunit
%endif

%description
Parse and display moments in any timezone.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package
cp -p %{SOURCE11} .

dos2unix README.md

%build
# nothing to do!
%nodejs_symlink_deps --build
%{_bindir}/grunt uglify
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js data/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt nodeunit
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.5.13-1
- Initial packaging
